diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
new file mode 100644
index 0cb3464..98ce351
*** a/src/bin/psql/tab-complete.c
--- b/src/bin/psql/tab-complete.c
*************** psql_completion(const char *text, int st
*** 1758,1763 ****
--- 1758,1776 ----
  
  		COMPLETE_WITH_LIST(list_COLUMNSTORAGE);
  	}
+ 	/* ALTER TABLE ALTER [COLUMN] <foo> SET STATISICS */
+ 	else if (((pg_strcasecmp(prev5_wd, "ALTER") == 0 &&
+ 			   pg_strcasecmp(prev4_wd, "COLUMN") == 0) ||
+ 			  pg_strcasecmp(prev4_wd, "ALTER") == 0) &&
+ 			 pg_strcasecmp(prev2_wd, "SET") == 0 &&
+ 			 pg_strcasecmp(prev_wd, "STATISTICS") == 0)
+ 	{
+ 		/* Prevent suggestion of TO */
+ 		static const char *const list_COLUMNSTORAGE[] =
+ 		{NULL};
+ 
+ 		COMPLETE_WITH_LIST(list_COLUMNSTORAGE);
+ 	}
  	/* ALTER TABLE ALTER [COLUMN] <foo> DROP */
  	else if (((pg_strcasecmp(prev4_wd, "ALTER") == 0 &&
  			   pg_strcasecmp(prev3_wd, "COLUMN") == 0) ||
